---------------------
PatchSet 7507 
Date: 2008/03/22 06:03:14
Author: amosjeffries
Branch: ayjwork
Tag: (none) 
Log:
Document why the outgoing address cannot be const.

Members: 
	src/comm.h:1.23.4.7->1.23.4.8 

Index: squid3/src/comm.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/comm.h,v
retrieving revision 1.23.4.7
retrieving revision 1.23.4.8
diff -u -r1.23.4.7 -r1.23.4.8
--- squid3/src/comm.h	22 Mar 2008 06:00:07 -0000	1.23.4.7
+++ squid3/src/comm.h	22 Mar 2008 06:03:14 -0000	1.23.4.8
@@ -46,7 +46,13 @@
 SQUIDCEXTERN void commConnectStart(int fd, const char *, u_short, CNCB *, void *);
 void commConnectStart(int fd, const char *, u_short, AsyncCall::Pointer &cb);
 
+/**
+ \param sock[in]	Socket to connect out with.
+ \param addr[in,out]	Address to connect to. After a successful connection is made it
+ *                      will be updated with the port used by the connection.
+ */
 SQUIDCEXTERN int comm_connect_addr(int sock, IPAddress &addr);
+
 SQUIDCEXTERN void comm_init(void);
 SQUIDCEXTERN void comm_exit(void);
 
